Package com.google.gwt.view.client

## Class DefaultSelectionEventManager.BlacklistEventTranslator<T>

- java.lang.Object
- - com.google.gwt.view.client.DefaultSelectionEventManager.BlacklistEventTranslator<T>

- Type Parameters:
    `T` - the data type
  All Implemented Interfaces:
    `DefaultSelectionEventManager.EventTranslator<T>`
  Enclosing class:
    DefaultSelectionEventManager<T>

      public static class DefaultSelectionEventManager.BlacklistEventTranslator<T>
      extends java.lang.Object
      implements DefaultSelectionEventManager.EventTranslator<T>

  An event translator that disables selection for the specified blacklisted columns.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlacklistEventTranslator​(int... blacklistedColumns)` | Construct a new `DefaultSelectionEventManager.BlacklistEventTranslator`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearBlacklist()` | Clear all columns from the blacklist.
    `boolean` | `clearCurrentSelection​(CellPreviewEvent<T> event)` | Check whether a user selection event should clear all currently selected values.
    `boolean` | `isColumnBlacklisted​(int index)` | Check if the specified column is blacklisted.
    `void` | `setColumnBlacklisted​(int index, boolean isBlacklisted)` | Set whether or not the specified column in blacklisted.
    `DefaultSelectionEventManager.SelectAction` | `translateSelectionEvent​(CellPreviewEvent<T> event)` | Translate the user selection event into a `DefaultSelectionEventManager.SelectAction`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlacklistEventTranslator

          public BlacklistEventTranslator​(int... blacklistedColumns)

      Construct a new `DefaultSelectionEventManager.BlacklistEventTranslator`.
      Parameters:
        `blacklistedColumns` - the columns to blacklist

  - ### Method Detail

    - #### clearBlacklist

          public void clearBlacklist()

      Clear all columns from the blacklist.

    - #### clearCurrentSelection

          public boolean clearCurrentSelection​(CellPreviewEvent<T> event)

      Description copied from interface: `DefaultSelectionEventManager.EventTranslator`
      Check whether a user selection event should clear all currently selected values.
      Specified by:
        `clearCurrentSelection` in interface `DefaultSelectionEventManager.EventTranslator<T>`
      Parameters:
        `event` - the `CellPreviewEvent` to translate

    - #### isColumnBlacklisted

          public boolean isColumnBlacklisted​(int index)

      Check if the specified column is blacklisted.
      Parameters:
        `index` - the column index
      Returns:
        true if blacklisted, false if not

    - #### setColumnBlacklisted

          public void setColumnBlacklisted​(int index,
                                           boolean isBlacklisted)

      Set whether or not the specified column in blacklisted.
      Parameters:
        `index` - the column index
        `isBlacklisted` - true to blacklist, false to allow selection

    - #### translateSelectionEvent

          public DefaultSelectionEventManager.SelectAction translateSelectionEvent​(CellPreviewEvent<T> event)

      Description copied from interface: `DefaultSelectionEventManager.EventTranslator`
      Translate the user selection event into a `DefaultSelectionEventManager.SelectAction`.
      Specified by:
        `translateSelectionEvent` in interface `DefaultSelectionEventManager.EventTranslator<T>`
      Parameters:
        `event` - the `CellPreviewEvent` to translate